import { UmbControllerBase } from '../../../libs/class-api/index.js';
/**
 * Renders a UFM
 */
export declare class UmbUfmVirtualRenderController extends UmbControllerBase {
    #private;
    set markdown(markdown: string | undefined);
    get markdown(): string | undefined;
    set value(value: unknown | undefined);
    get value(): unknown | undefined;
    hostConnected(): void;
    hostDisconnected(): void;
    toString(): string;
    destroy(): void;
}
